<?php

session_start();

require ('../../_app/Config.inc.php');
$ship = new Shipment();

//chamada automatica via sessão
$cliente_id = $_SESSION['clientelogin']['cliente_id'];
$Read = new Read;
$Read->ExeRead("tp_cliente_enderecos", "WHERE cliente_id = :cliente_id AND cliente_endereco_principal = 1", "cliente_id={$cliente_id}");

if ($Read->getResult()):
    foreach ($Read->getResult() as $enderecos):
        extract($enderecos);
    endforeach;
    $arrDados['cidade'] = $cliente_endereco_cidade;
else:
    WSErro("você não tem um endereço principal cadastrado", WS_ERROR);
endif;

$cep = $cliente_endereco_cep;
$arrProdutoId = array_keys($_SESSION['storecart']['produto']);
$arrId = "" . implode(",", $arrProdutoId) . "";

$Read->FullRead("SELECT produto_id, produto_peso, produto_largura, produto_altura, produto_comprimento FROM tp_produtos WHERE produto_id in ({$arrId})");
$c = 0; //indice
foreach ($Read->getResult() as $produtos):
    extract($produtos);
    $volume = ($produto_comprimento * $produto_altura * $produto_largura);
    $cubico[$c] = $volume * $_SESSION['storecart']['produto'][$produto_id]['qtd'];
    $peso[$c] = $produto_peso;
    $c++;
endforeach;

$volume_total = array_sum($cubico);
$raiz = pow($volume_total, 1 / 3);
$peso = array_sum($peso);
$format = $ship->quote($cep, $peso, $raiz, $raiz, $raiz);

$arrDados['cep'] = $_SESSION['storecart']['entrega']['cep'];
$arrDados['frete'] = '';
foreach ($format as $formatship):
    if ($formatship->Codigo == '04014' || $formatship->Codigo == '4014'):
        $Tipo = 'Rápida';
    else:
        $Tipo = 'Econômica';
        $arrDados['frete_valor'] = $formatship->Valor;
    endif;
    $checked = '';

    if (!empty($_SESSION['storecart']['entrega']['codigo']) && $formatship->Codigo == $_SESSION['storecart']['entrega']['codigo']):
        $checked = 'checked';
        $_SESSION['frete']['prazo'] = $formatship->PrazoEntrega;
        $_SESSION['frete']['valor'] = $formatship->Valor;

        unset($_COOKIE['frete']); // apagar o cookie caso exista
        setcookie('frete', serialize($_SESSION['frete']), time() + 3600); //cria o novo cookie
    endif;

    $arrDados['frete'] .= "<div class=\"main_cart_abstract_delivery_option\">";
    $arrDados['frete'] .= "<input type=\"radio\" {$checked} id=\"{$formatship->Codigo}\" name=\"frete\" value=\"{$formatship->Codigo}\" onclick=\"frete_add({$formatship->Codigo},'{$Tipo}','{$formatship->PrazoEntrega}','{$formatship->Valor}')\"> {$Tipo} - {$formatship->PrazoEntrega} dias úteis - <b>R$ {$formatship->Valor}</b>";
    $arrDados['frete'] .= "</div>";

endforeach;

echo json_encode($arrDados);
